<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Evidence requester</title>
    <link rel="stylesheet" href="../css/vendors/bootstrap.min.css">
    <link rel="stylesheet" href="../css/oots-style.css">
    <link rel="stylesheet" href="../css/procedure-portal.css">
</head>
<body>
<div class="wrapper">

    <div class="page-header">
        <nav class="navbar navbar-expand-sm navbar-light py-4 border-bottom bg-light">
            <div class="container-fluid">
                <div class="container">
                    <div class="d-flex w-100 justify-content-between align-items-center" href="#">
                        <div class="d-flex align-items-center justify-content-around">
                            <img src="../images/logo-fr.svg" height="70">
                            <h5 class="m-0 ms-3">
                                <img src="../images/flags/fr.svg" alt="20" class="me-2 d-none d-lg-inline">
                                National preview space of France </h5>
                        </div>
                        <div class="d-none d-lg-flex justify-content-evenly gap-1 ">
                            <div class="language fs-6">
                                EN |
                            </div>
                            <div class="language fs-6">
                                Choose language
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </nav>
    </div>

    <div class="page-body mt-5 fs-7">

        <div class="d-flex container p-3 p-lg-0">
            <div class="mb-lg-3 mt-1 container-fluid">
                <div class="px-lg-5 mb-3 mb-lg-5">
                    <div class="d-flex align-items-lg-center p-3" style="background-color: rgba(212,118,0,0.12);border-left: 3px solid #EEC072">
                        <div class="me-2 mt-1 mt-lg-0"><img src="../images/warning.svg" height="15"></div>
                        <div class="mt-1"><span class="bold">Warning:</span> Federal Public Service of Mobility and Transport only accepts evidence in French and Dutch.
                        </div>
                    </div>
                </div>
                <div class="d-flex"><h2 class="mb-lg-5 pb-1 px-0 px-lg-5 regular flex-basis-70"> Your evidence is ready to preview
                    and send to the
                    Federal Public Service of Mobility and Transport.
                </h2></div>
            </div>
        </div>

        <div class="d-flex container flex-column flex-lg-row">
            <div class="flex-basis-70 mt-3 mt-lg-0">
                <div class="align-self-lg-start align-self-sm-stretch px-2 px-lg-5 pb-5 pt-3 rounded-5 m-auto rounded-5 bg-white">

                    <div id="confirm" class="">
                        <div class="bold fs-5">
                            <span>
                                Select eligible evidence to send
                            </span>
                        </div>

                        <table class="table black-400">
                            <thead>
                            <tr class="border-bottom">
                                <th scope="col">Evidence</th>
                                <th scope="col">Language</th>
                                <th scope="col">Actions</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr>
                                <td>
                                    <div class="d-flex">
                                        <div class="mt-2">
                                            <span class="custom-checkbox">
                                                <input id="imm" name="confirmDocumentCheckbox" type="checkbox" class="custom-control-input" value="Bachelor-deegree_EN">
                                                <span class="custom-control-indicator"></span>
                                            </span>
                                        </div>
                                        <div class="ms-2">
                                            <div>
                                                <label for="imm"><span class="fs-6 medium">Certificat d’Immatriculation</span></label>
                                            </div>
                                            <div class="">
                                                <small>6 MB</small>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                                <td>
                                    <div class="mt-2">
                                        <span class="bg-black-10 black-400 p-2 rounded-5"> French </span>
                                    </div>
                                </td>
                                <td>
                                    <div class="d-lg-flex">
                                        <button class="btn btn-no-min btn-outline-secondary me-2 mb-2 mb-lg-0 px-3 py-1 col-12 col-lg-auto">
                                            <img src="../images/download.svg">
                                        </button>
                                        <button class="btn btn-no-min btn-outline-secondary px-0 px-lg-3 preview-document activePreview col-12 col-lg-auto" data-docurl="../documents/Proof-of-vehicle-registration_FR.pdf">
                                            <img src="../images/visibility.svg">
                                            <span class="ms-2 medium">Preview</span>
                                        </button>
                                    </div>
                                </td>
                            </tr>


                            </tbody>
                        </table>

                        <div class="d-flex justify-content-end gap-2">
                            <button class="btn btn-no-min btn-outline-secondary px-4 py-1">Cancel</button>
                            <button class="btn btn-no-min btn-primary px-4" id="confirm-button" disabled="" onclick="sendDoc()">Send</button>
                        </div>

                        <div class="fs-5 mt-5">
                            <span>
                                Evidence available in other languages
                            </span>
                        </div>
                        <table class="table black-400">
                            <thead>
                            <tr class="border-bottom">
                                <th scope="col">Evidence</th>
                                <th scope="col">Language</th>
                                <th scope="col">Actions</th>
                            </tr>
                            </thead>
                            <tbody>

                            <tr>
                                <td>
                                    <div class="d-flex">
                                        <div class="mt-2">
                                            <span class="custom-checkbox">
                                                <input name="confirmDocumentCheckbox" type="checkbox" class="custom-control-input" value="Bachelor-deegree_EN">
                                                <span class="custom-control-indicator"></span>
                                            </span>
                                        </div>
                                        <div class="ms-2">
                                            <div>
                                                <span class="fs-6 medium">immatriculation voiture.pdf</span>
                                            </div>
                                            <div class="">
                                                <small>12 MB</small>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                                <td>
                                    <div class="mt-2">
                                        <span class="bg-black-10 black-400 p-2 rounded-5"> Unknown </span>
                                    </div>
                                </td>
                                <td>
                                    <div class="d-lg-flex">
                                        <button class="btn btn-no-min btn-outline-secondary me-2 mb-2 mb-lg-0 px-3 py-1 col-12 col-lg-auto">
                                            <img src="../images/download.svg">
                                        </button>
                                        <button class="btn btn-no-min btn-outline-secondary px-0 px-lg-3 preview-document activePreview col-12 col-lg-auto" data-docurl="../documents/Proof-of-vehicle-registration.pdf">
                                            <img src="../images/visibility.svg">
                                            <span class="ms-2 medium">Preview</span>
                                        </button>
                                    </div>
                                </td>
                            </tr>

                            </tbody>
                        </table>
                        <div class="">
                            <div class="d-flex mt-5">
                                <p onclick="openAcc()" style="cursor: pointer" class="m-0 d-flex justify-content-around align-items-center gap-3 fs-5">
                                    <span>Can't find the document in the language you need? </span>
                                    <img id="acc-icon" src="../images/expand_more.png" height="7" class="">
                                </p>
                            </div>
                            <div id="info-acc" class="mt-3 invisible">
                                <p class="mb-1">You will need to have the document translated by a sworn translator.</p>
                                <ol class="px-3" style="line-height: 3;">
                                    <li>Use the <img src="../images/download.svg" height="12"> icon to <span class="medium">download</span> your document</li>
                                    <li>Obtain an <span class="medium">officially translated</span> document by a sworn translator.</li>
                                    <li>Upload the <span class="medium">translated document</span> on the procedure application.</li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="flex-basis-30">
                <div class="flex-grow-1 mt-3 p-5 m-auto rounded-5" style="background: rgb(0 68 148 / 7%);">
                    <div class="">
                        <p>Applicant: <span class="medium">Juliette Le Grand</span></p>
                        <p>Procedure: <span class="medium">Registering a motor vehicle</span></p>
                        <p>Evidence: <span class="medium">Proof of vehicle registration</span></p>
                    </div>
                    <div class="mt-4">
                        <img src="../images/YourEurope.png" height="32">
                    </div>
                </div>
            </div>
        </div>


        <div class="page-footer mt-3">
            <footer class="text-center text-lg-start" style="background-color: #4C4A50">
                <section>
                    <div class="text-white py-4 col-10 m-auto text-center">
                        <div class="row mt-3 align-items-baseline">

                            <!-- Grid column -->
                            <div class="col-md-4 col-lg-4 col-xl-4 mx-auto mb-4">
                                <!-- Links -->
                                <h6 class="bold mb-4">
                                    <img src="../images/flags/fr.svg" alt="" class="me-3"/>National preview space of
                                    France
                                </h6>
                            </div>
                            <!-- Grid column -->

                            <!-- Grid column -->
                            <div class="col-md-2 col-lg-2 col-xl-2 mx-auto mb-4">
                                <!-- Links -->
                                <p class="text-decoration-underline">
                                    <span>Site notice</span>
                                </p>
                                <p>
                            </div>
                            <!-- Grid column -->
                            <!-- Grid column -->
                            <div class="col-md-2 col-lg-2 col-xl-2 mx-auto mb-md-0 mb-4">
                                <!-- Links -->
                                <p class="text-decoration-underline">Privacy</p>
                            </div>
                            <!-- Grid column -->
                            <!-- Grid column -->
                            <div class="col-md-2 col-lg-2 col-xl-2 mx-auto mb-md-0 mb-4">
                                <!-- Links -->
                                <p class="text-decoration-underline">Accessibility statement</p>
                            </div>
                            <!-- Grid column -->

                            <!-- Grid column -->
                            <div class="col-md-2 col-lg-2 col-xl-2 mx-auto mb-md-0 mb-4">
                                <!-- Links -->
                                <p class="text-decoration-underline">Contact</p>
                            </div>
                        </div>
                        <!-- Grid row -->
                    </div>
                </section>
            </footer>
        </div>

    </div>

    <div id="loading"
         style="position: fixed; width: 100%;height: 100%; left: 0; top: 0; background: rgba(51, 51, 51, 0.85); display: none">
        <div class="d-flex justify-content-center" style="margin-top: 50vh;">
            <div class="loader"></div>
        </div>

        <div class="modal" tabindex="-1" role="dialog" id="sending" style="/* display: none; */">
            <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
                <div class="modal-content">
                    <div class="d-flex justify-content-center" style="margin-top: 2.5rem;">
                        <div class="loader"></div>
                    </div>
                    <div class="modal-body p-5 text-center">
                        <p class="h2">Sending</p>
                        <div class="d-flex justify-content-center my-3 gap-4">
                            <div>
                                <p class="h5 neutral-400">Sharing the evidence with the Federal Public Service of Mobility and Transport!</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            </div>
        </div>
    </div>


<script>
    (function () {
        window.onpageshow = function (event) {
            if (event.persisted) {
                window.location.reload();
            }
        };
    })();

    function openAcc() {
        document.getElementById('info-acc').classList.toggle('invisible');
        document.getElementById('acc-icon').classList.toggle('rotate');
    }
</script>
<script src="https://code.jquery.com/jquery-3.7.1.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdf.js/2.2.228/pdf.min.js"></script>
<script src="../js/pdf-viewer.js"></script>
<script src="../js/modal.js"></script>
<script src="../js/evidence-request.js"></script>
</body>
</html>
